#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const int MAXL=1e5+45;
ll n,m,a[MAXL],i,x[MAXL],y[MAXL],suma=0,p[MAXL];
ll sumajednog(ll pom,ll m,ll a[],ll x[],ll y[],ll p[])
{
    ll i,brojac=0;
    for(i=1;i<=m;i++)
    {
        if((x[i]==pom||y[i]==pom)&&p[i]==1) brojac++;
        else if((x[i]==pom||y[i]==pom)&&p[i]==0) brojac--;
    }
    return a[pom]*brojac;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin>>n>>m;
    for(i=1;i<=n;i++) cin>>a[i];
    for(i=1;i<=m;i++) cin>>x[i]>>y[i];
    for(i=1;i<=m;i++)
    {
        if(a[x[i]]>0&&a[y[i]]>0) p[i]=1;
        else p[i]=0;
    }
    for(i=1;i<=n;i++)
    {
        suma+=sumajednog(i,m,a,x,y,p);
    }
    cout<<suma<<endl;
    return 0;
}